xmonad-wallpaper-0.0.1.5: xmonad wallpaper extension

Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Wallpaper.Expand

Synopsis

- expand :: String -> IO String

# Documentation

expand :: String -> IO String Source #

Expand string using environment variables, shell syntax are supported. Examples:

    >>> epxand "$HOME/Pictures"
    "/home/user/Pictures"

    >>> expand "${HOME}ABC"
    "/home/userABC"